## phoc 0.1.0pureos2

=== meson_options.txt ===
option('xwayland', type : 'feature', value : 'enabled')
option('embed-wlroots',type : 'feature', value : 'auto',
       description : 'Wheter to use wlroots as a subproject and link statically against it')

=== subprojects/wlroots/meson_options.txt ===
option('freerdp', type: 'feature', value: 'auto', description: 'Enable support for the RDP backend with freerdp')
option('libcap', type: 'feature', value: 'auto', description: 'Enable support for rootless session via capabilities (cap_sys_admin)')
option('logind', type: 'feature', value: 'auto', description: 'Enable support for rootless session via logind')
option('logind-provider', type: 'combo', choices: ['systemd', 'elogind'], value: 'systemd', description: 'Provider of logind support library')
option('xcb-errors', type: 'feature', value: 'auto', description: 'Use xcb-errors util library')
option('xcb-icccm', type: 'feature', value: 'auto', description: 'Use xcb-icccm util library')
option('xwayland', type: 'feature', value: 'auto', yield: true, description: 'Enable support for X11 applications')
option('x11-backend', type: 'feature', value: 'auto', description: 'Enable X11 backend')
option('rootston', type: 'boolean', value: true, description: 'Build the rootston example compositor')
option('examples', type: 'boolean', value: true, description: 'Build example applications')

=== _build/meson-private/cmake_freerdp2/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.13

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /var/scratch/librem5/phoc/_build/meson-private/cmake_freerdp2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /var/scratch/librem5/phoc/_build/meson-private/cmake_freerdp2

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /var/scratch/librem5/phoc/_build/meson-private/cmake_freerdp2/CMakeFiles /var/scratch/librem5/phoc/_build/meson-private/cmake_freerdp2/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /var/scratch/librem5/phoc/_build/meson-private/cmake_freerdp2/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... rebuild_cache"
	@echo "... edit_cache"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
phoc (0.1.0pureos2) amber; urgency=medium

  * Use embedded wlroots.  It's not yet available on pureos and 0.6.0 wouldn't
    be recent enough anyway since it lacks lots of touch related fixes.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Sep 2019 14:55:24 -0700

phoc (0.1.0pureos1) amber; urgency=medium

  [ Guido Günther ]
  * Avoid conflict with close(2)
  * Add HACKING.md
  * Drop wlroots CONTRIBUTING to avoid confusion
  * Use glib main loop
  * Rename roots_server to phoc_server
  * main: Block SIGUSR1 early
  * Maximize xdg_shell surfaces by default
  * desktop: Allow to toggle maximization via dconf
  * helpers: Add helper to toggle maximization
  * Add run script
  * Add editorconfig from libhandy
  * desktop: Allow to toggle maximization via dconf
  * Revert "Avoid conflict with close(2)"
  * Don't access views directly
  * Avoid conflict with close(2)
  * Switch to wlroots 0.5.0
  * outpout: Check for PHOC_XwAYLAND instead of WLR_HAS_XWAYLAND
  * xwayland: Don't include config.h twice
  * rootston: Also iterate layer shell popups
  * render: Don't use rootston's types and headers
  * Add phosh private protocol (Closes: #2)
  * view: Move want_maximize upwards
  * view: Introduce maybe_maximize()
  * Update wlroots to 930e37eae97e2ae965f7ae3a05d2fdd700827688
  * layer-shell: Don't dereference gone output
  * Update wlroots to 0.6.0 (Closes: #14)
  * run: Avoid word splitting
  * main: Fix indentation
  * main: Launch client in idle main loop
  * xdg_shell: Don't move windows with auto_maximize == true (Closes: #8)
  * main: Block SIGUSR1 instead of ignoring it (Closes: #20)
  * Use glib logging (Closes: #21)
  * gitlab-ci: Build a deb
  * debian: Add compositor parts (Closes: #16)
  * build: Allow to toggle using the embedded wlroots
  * debian: Use a build profile for linking against embedded wlroots
    (Closes: #17)
  * gitlab-ci: Use build profile
  * gitlab-ci: Build against packaged wlroots as well (Closes: #25)
  * debian: Add missing build-dep for x11 backend with embedded wlroots
  * Turn desktop in a PhocDesktop GObject
  * PhocDesktop: Use constructed and finalize
  * PhocDesktop: Use g_signal_connect_swapped
  * desktop: Fix type check
  * Only set a cursor when we have a pointer device (Closes: #31)
  * Update submodule
  * view: Make maximaziation logic match the comment
  * Add logging domains
  * Log wlroots messages as 'phoc-wlroots'
  * view: Take geometry into account when centering views
  * view: Use sane geometry when impl is missing
  * view: Default geometry x,y to 0
  * render: Clear to black background
  * Add some debugging hints
  * view: Take usable area into account when centering views (Closes: #45)
  * roots_seat: Add roots_set_get_cursor ()
  * phosh-private: Add a close request
  * phosh: Implement phosh-private's close request
  * phosh: Use g_* logging
  * Update wlroots submodule
  * protocols: Remove unused protocols
  * protocols: Drop client protocol generation
  * protocols: Don't generate unused server protocols
  * text_input: Don't forget to send enter events (Closes: #51, #28, #12)
  * cursor: Drop btn left emulation for touch
  * Update submodule
  * switch: Drop switch handling
  * keyboard: Reformat keyboard_execute_binding
  * Add PhocKeybindings
  * Use PhocKeybindings
  * Drop old bindings related code
  * Revert "Drop old bindings related code"
  * Revert "Use PhocKeybindings"
  * Revert "Add PhocKeybindings"
  * Revert "keyboard: Reformat keyboard_execute_binding"
  * Revert "switch: Drop switch handling"

  [ emersion ]
  * data-device: refactor wlr_drag
  * rootston: cancel drag on invalid serial
  * rootston: move part of desktop.c to view.c, use an interface for views
  * rootston: add a view child interface
  * rootston: make roots_view embedded and remove unions
  * rootston: refactor rendering
  * rootston: fix rotated views rendering
  * rootston: fix Xwayland children rendering when fullscreen
  * rootston: split rendering code into render.c
  * rootston: fix input events for rotated views
  * xwayland: don't set DISPLAY
  * rootston: add output-management-v1 support
  * rootston: update output-management-v1 state when output is modeset
  * output-management-v1: support applying configuration
  * output-management-v1: update protocol, add set_custom_mode
  * rootston: disable then enable outputs when applying output-management state
  * output: remove lx, ly

  [ Sebastian Krzyszkowiak ]
  * rootston: surface_at: check for fullscreen surfaces in between TOP and OVERLAY layers
  * Auto-maximize unfullscreened surfaces
  * phosh: Fix incorrect type being passed to sizeof in calloc
  * seat: Move view damage in set_focus to where the drawing list is handled
  * Handle stacks (xdg_toplevel::set_parent relationships) (#4)
  * seat: Move focus back to first shell surface when unfocusing layer surface
  * xdg_shell(_v6): Take maximize/fullscreen state into account on view init
  * seat: Don't try to raise unmapped surfaces in stacks
  * Update wlroots submodule
  * view: Move want_maximize above view_maximize
  * view: Don't allow to unmaximize auto-maximized surfaces
  * view: Null-check output in view_arrange_maximized
  * view: Rename "maximized" argument in view_maximize
  * view: Move want_maximize logic into protocol code
  * Auto-maximize before mapping the surface
  * Update wlroots submodule
  * layer_shell: Guard against negative exclusive zone
  * view: Create foreign-toplevel-handle before focusing
  * Move wlr-foreign-toplevel-management support into view
  * Refine the ordering of layer-shell surfaces
  * Update cursor focus on popup unmap
  * Update wlroots submodule

  [ Ryan Walklin ]
  * s/lid_switch/switch_device

  [ Ilia Bozhinov ]
  * rootston: remove disabled outputs from the output layout
  * rootston: add support for foreign-toplevel fullscreening

  [ Alyssa Ross ]
  * Fix missing headers when building without X11

  [ Simon Ser ]
  * rootston: use wlr_output_preferred_mode


=== debian/control ===
Source: phoc
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper (>= 12),
 libglib2.0-dev,
 libinput-dev,
 libpixman-1-dev,
 libwayland-dev,
 libxkbcommon-dev,
 meson (>= 0.47.0),
 pkg-config,
 wayland-protocols,
 libcap-dev,
 libdrm-dev,
 libegl1-mesa-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libpixman-1-dev,
 libpng-dev,
 libsystemd-dev,
 libwayland-dev,
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-render0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 wayland-protocols ,
Standards-Version: 4.1.3
Section: libs
Homepage: https://source.puri.sm/librem5/phoc

Package: phoc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: phosh
Description: Wayland compositor for mobile phones
 Tiny wayland compositor based on wlroots for use on mobile phones like the
 Librem 5.
 . 
 You likely want to use Phosh (the phone shell) with it.

## phoc 0.1.5pureos1

=== subprojects/wlroots/meson_options.txt ===
--- 
+++ 
@@ -6,5 +6,4 @@
 option('xcb-icccm', type: 'feature', value: 'auto', description: 'Use xcb-icccm util library')
 option('xwayland', type: 'feature', value: 'auto', yield: true, description: 'Enable support for X11 applications')
 option('x11-backend', type: 'feature', value: 'auto', description: 'Enable X11 backend')
-option('rootston', type: 'boolean', value: true, description: 'Build the rootston example compositor')
 option('examples', type: 'boolean', value: true, description: 'Build example applications')

=== debian/changelog ===
phoc (0.1.5pureos1) amber; urgency=medium

  * Upload to amber

 -- Guido Günther <agx@sigxcpu.org>  Fri, 03 Jan 2020 13:44:51 +0100

phoc (0.1.5) amber; urgency=medium

  [ Guido Günther ]
  * input: Use g_* for logging.
    This makes log domains work for input as well.
  * seat: Don't initialize tablets if we don't have libinput.
    This leads to crashes otherwise e.g. on the wayland backend
  * phosh: Fix indentation
  * view: Introduce helper to find a roots_surface from a given wlr_surface.
  * protocols: Add gtk-shell v3.
    Taken from gtk 3.24.8. This will allow to implement raising surfaces on
    their request and startup notifications if we want these before there's a
    mainlineable protocol.
  * Implement gtk-shell's handle_request_focus.
    This allows to raise windows on their request.
    See https://source.puri.sm/Librem5/phoc/issues/93
  * desktop: Wire up gtk-shell

  [ Sebastian Krzyszkowiak ]
  * view: Hide shell overlay when activating a fullscreen window.
    Without that, the overlay stays needlessly visible after selecting a
    fullscreen window in the activity switcher until further input event.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Jan 2020 23:52:47 +0100

phoc (0.1.4pureos1) amber; urgency=medium

  * Upload to amber

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Dec 2019 13:56:18 +0100

phoc (0.1.4) amber; urgency=medium

  [ Guido Günther ]
  * build: drop rootston=false from wlroots submodule build
    rootston is no longer part of wlroots so the option causes
    a warning during build.
  * view: Add helper to move windows between outputs
  * keybindings: allow to move windows to left/right output
  * Update submodule.
    This pulls in the gbm fix.
  * Add doap file.
    This helps to identify project maintainers and contact points.
  * d/control: Add Sebastian to uploaders
  * xdg_shell_v6: Implement get_geometry.
    As long as these are around there's no reason why v6 should
    be worse than stable
  * Introduce view_is_maximized.
    This will allow us to introduce a tiled state as well.
  * view: Simple left right tilig.
    This uses the 'maximized' state to get rid of GTK's drop
    shadows until we have fixed
    https://gitlab.gnome.org/GNOME/gtk/issues/2171
  * view: Differentiate between tiled and normal on unmaximize
  * keybindings: bind left and right tiling
  * d/control: Depend on gsettings schemas.
    Not having them makes us not start

  [ Sebastian Krzyszkowiak ]
  * Update wlroots submodule.
    Forward to 9fb251c33fc404f106f0b4e3b6839de9d4753a4c for virtual
    keyboard keycode 0 fix.

  [ Simon Ser ]
  * render: set surface as sampled for presentation.
    This is necessary after [1].
    [1]: https://github.com/swaywm/wlroots/pull/1798
  * Fix presentation feedback when scanning out fullscreen views.
    References: https://github.com/swaywm/sway/pull/4667

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Dec 2019 17:54:07 +0100

phoc (0.1.3pureos1) amber; urgency=medium

  * Upload to amber

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 Nov 2019 12:26:09 +0100

phoc (0.1.3) amber; urgency=medium

  [ Guido Günther ]
  * wlroots: Update submodule
  * desktop: Allow to blank/unblank all outputs
  * keyboard: Blank/unblank all outputs on power button press (Closes: #86)

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 23 Nov 2019 00:27:10 +0100

phoc (0.1.2pureos1) amber; urgency=medium

  * Upload to amber

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Nov 2019 05:15:03 +0100

phoc (0.1.2) amber-phone; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * layer-shell: Don't apply exclusive zones of unmapped surfaces
  * Revert "Use old gamma control protocol if available"
  * Update wlroots submodule
  * Add a way to reveal shell on a fullscreen surface
  * layer-shell: Create/destroy layer_subsurface objects on parent map/unmap

  [ Guido Günther ]
  * gitlab-ci: Remove redundancy in alpine deps
  * Add libgnome-desktop-3-dev
  * Turn keyboard into a gobject
  * keyboard: Read keyboard config from gsettings
  * settings: Remove superfluous include
  * keyboard: fix indentation
  * Use g_clear_object
  * keyboard: Set wlr_keyboard's data to phoc_keyboard
  * keyboard: Add method to witch to next layout
  * keybindinds: Listen to switch-input-source changes

  [ Simon Ser ]
  * Remove orbital screenshooter and gamma-control
  * rootston: add support for direct scan-out
  * Remove all wayland-server.h includes

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 18 Nov 2019 22:48:51 +0100

phoc (0.1.1pureos1) amber; urgency=medium

  * Upload to amber

 -- Guido Günther <agx@sigxcpu.org>  Thu, 17 Oct 2019 11:11:47 +0200

phoc (0.1.1) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * text_input: Add asserts guarding focus state
  * Clear pending surface before setting it to a new value
  * text_input: Eliminate excessive messages
  * layer shell: Adjust position of osk depending on presence of the prompter

  [ Guido Günther ]
  * gitlab-ci: Disable the deb build for the moment
  * build: Delay config file creation
  * build: print detected wlroots version
  * desktop: Include config.h early
  * Use old gamma control protocol if available
  * debian: Allow to build against 0.7.0
  * switch: Drop switch handling
  * keyboard: Reformat keyboard_execute_binding
  * Add PhocKeybindings
  * Use PhocKeybindings
  * Drop old bindings related code
  * gitlab-ci: De-duplicate build logic
  * gitlab-ci: Specify the docker image to use
  * gitlab-ci: Build against Debian Bullseye as well
  * keybindings: bind toggle-maximized too
  * view_arrange_maximized: Drop unused variable
  * keybindings: Pass settings to add_keybindings
  * view: Drop view_cycle_alpha
  * gitlab-ci: Allow alpine linux build to fail but not break ci
  * Include config.h first in all .c files
  * render: Use PHOC_XWAYLAND instead of WLR_HAS_XWAYLAND
  * outpout: Use PHOC_XWAYLAND instead of WLR_HAS_XWAYLAND


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: phoc
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
+Uploaders: Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>
 Build-Depends:
  debhelper (>= 12),
  libglib2.0-dev,
+ libgnome-desktop-3-dev,
  libinput-dev,
  libpixman-1-dev,
  libwayland-dev,
@@ -39,6 +41,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ gsettings-desktop-schemas,
+ mutter-common,
 Recommends: phosh
 Description: Wayland compositor for mobile phones
  Tiny wayland compositor based on wlroots for use on mobile phones like the

=== debian/rules ===
#!/usr/bin/make -f

MESON_OPTS += -Dembed-wlroots=enabled

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPTS)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## phoc 0.4.2

=== debian/changelog ===
phoc (0.4.2-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * d/control: Use Rules-Requires-Root: no

  [ Arnaud Ferraris ]
  * New upstream version 0.4.2

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 06 Aug 2020 17:31:06 +0200

phoc (0.4.1-1) unstable; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * debian: Add sign-tags=true to gbp.conf

  [ Arnaud Ferraris ]
  * New upstream version 0.4.1 (Closes: #966235)
  * d/upstream: add missing fields to metadata file.
    Fixes: lintian: upstream-metadata-missing-bug-tracking
  * d/install: install scale-to-fit helper

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Sat, 25 Jul 2020 10:53:43 +0200

phoc (0.1.9-2) unstable; urgency=medium

  * d/copyright: add missing entry for src/virtual.*

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 25 Jun 2020 12:34:20 +0200

phoc (0.1.9-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * Set upstream metadata fields: Repository.
    Fixes: lintian: upstream-metadata-file-is-missing
    Fixes: lintian: upstream-metadata-missing-repository

  [ Guido Günther ]
  * d/control: Bump wlroots dependency.
    Bumped to 0.10.0 since this is sufficient to build and run
    although 0.10.1 is preferred.
  * d/copyright: Use correct licenses.
    As per de56ea6b1e3cfa41981fd4dd349b0eef852aee23 we default to GPL-3+
    (same as phosh). That's also consistent with the COPYING file.
    We keep `src/*` separate to respect the copyright notices brought
    over from rootston and keep the protocols under their initial
    licenses.

  [ Arnaud Ferraris ]
  * debian: add salsa-ci
  * debian: remove upstreamed patches
  * d/copyright: remove line referring to deleted file
  * d/control: Switch maintainer to team address
  * d/control: Bump debhelper-compat and add Rules-Requires-Root
  * d/copyright: fix copyright notice for src/ini.*

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 23 Jun 2020 19:02:07 +0200

phoc (0.1.7-1) unstable; urgency=medium

  * Initial Debian release (Closes: #956797)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 15 Apr 2020 18:53:31 +0200

=== debian/control ===
Source: phoc
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libinput-dev,
 libpixman-1-dev,
 libwayland-dev,
 libxkbcommon-dev,
 meson (>= 0.47.0),
 pkg-config,
 wayland-protocols,
 libwlroots-dev (>= 0.10.0),
# to run the tests
 gsettings-desktop-schemas <!nocheck>,
 mutter-common <!nocheck>,
 xvfb <!nocheck>,
 xauth <!nocheck>,
Standards-Version: 4.5.0
Section: x11
Homepage: https://source.puri.sm/librem5/phoc
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phoc
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phoc.git
Rules-Requires-Root: no

Package: phoc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas,
 mutter-common,
Recommends: phosh
Breaks:
 phosh (<< 0.2.0),
Description: Wayland compositor for mobile phones
 Tiny wayland compositor based on wlroots for use on mobile phones like the
 Librem 5.
 .
 You likely want to use Phosh (the phone shell) with it.

## phoc 0.6.0

=== meson_options.txt ===
option('xwayland', type : 'feature', value : 'enabled')
option('embed-wlroots',type : 'feature', value : 'auto',
       description : 'Wheter to use wlroots as a subproject and link statically against it')
option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

=== debian/changelog ===
phoc (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 06 Jan 2021 15:39:10 +0100

phoc (0.5.1-1) unstable; urgency=medium

  * d/gbp.conf: remove 'v' prefix from debian tags
  * New upstream version 0.5.1

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 24 Nov 2020 11:47:22 +0100

phoc (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 16 Nov 2020 10:22:55 +0100

phoc (0.4.4-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Add breaks for older phosh.

  [ Arnaud Ferraris ]
  * New upstream version 0.4.4
  * d/copyright: drop reference to removed file

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 28 Oct 2020 11:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  mutter-common,
 Recommends: phosh
 Breaks:
- phosh (<< 0.2.0),
+ phosh (<< 0.4.5),
 Description: Wayland compositor for mobile phones
  Tiny wayland compositor based on wlroots for use on mobile phones like the
  Librem 5.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/phoc.*\.tar\.gz/phoc-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/phoc/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phoc 0.8.0

=== debian/changelog ===
phoc (0.8.0-2) unstable; urgency=medium

  * Upload to unstable, no changes needed

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 01 Sep 2021 11:49:34 +0200

phoc (0.8.0-1) experimental; urgency=medium

  [ Guido Günther ]
  * build: Require gsettings-desktop-schemas.
    We need those for pointer/mouse related enums

  [ Arnaud Ferraris ]
  * New upstream version 0.8.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 14 Jul 2021 15:09:18 +0200

phoc (0.7.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.7.1
  * d/control: Version wlroots dependency.
    Latest supported is 0.12.0.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 21 Jun 2021 17:16:08 +0200

phoc (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 19 Mar 2021 23:32:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
+ gsettings-desktop-schemas,
  libglib2.0-dev,
  libgnome-desktop-3-dev,
  libinput-dev,
@@ -13,9 +14,10 @@
  meson (>= 0.47.0),
  pkg-config,
  wayland-protocols,
- libwlroots-dev (>= 0.10.0),
+ libxcb1-dev,
+ libwlroots-dev (>= 0.12.0),
+ libwlroots-dev (<< 0.13.0),
 # to run the tests
- gsettings-desktop-schemas <!nocheck>,
  mutter-common <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,

## phoc 0.13.1

=== debian/changelog ===
phoc (0.13.1-2) unstable; urgency=medium

  * d/patches: handle touch frame events.
    Not doing so disabled touch input for Qt-based applications, let's fix
    that. (Closes: #1008919)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 04 Apr 2022 13:50:44 +0200

phoc (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * d/patches: update to most recent submitted version.
    Patches for wlroots 0.15.1 compatibility haven't been merged upstream
    yet, however the corresponding MR has been rebased on top of phoc
    0.13.1. Update our patches with the latest version of this MR and add
    DEP-3 tags in the process.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 01 Apr 2022 13:20:26 +0200

phoc (0.13.0-1) unstable; urgency=medium

  * Team upload.

  [ Arnaud Ferraris ]
  * New upstream version 0.13.0

  [ Guido Günther ]
  * Backport (yet unmerged) upstream MR to work wlroots 0.15.1.
    See https://gitlab.gnome.org/World/Phosh/phoc/-/merge_requests/329
    Closes: #100836

 -- Guido Günther <agx@sigxcpu.org>  Sun, 27 Mar 2022 16:45:40 +0200

phoc (0.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.12.0
  * d/patches: Drop startup listener patch.
    Applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 26 Jan 2022 11:56:20 +0100

phoc (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * Don't remove startup-id listener when not connected This fixes a crash on
    shutdown.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Dec 2021 12:48:27 +0100

phoc (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
    (Closes: #1001821)
  * d/watch: Fix watch expression to match tag names
  * d/gbp.conf: Use upsteam tarball

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Dec 2021 19:22:05 +0100

phoc (0.10.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream version 0.10.0

  [ Evangelos Ribeiro Tzaras ]
  * d/watch: Adjust to new repository location

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Dec 2021 15:02:05 +0100

phoc (0.9.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Add deps for doc build.
  * Bump minimum wlroots version to 0.12.0.

  [ Arnaud Ferraris ]
  * New upstream version 0.9.0
  * d/control: update project URL and bump Standards-Version.
  * d/control: update build dependencies.
  * d/copyright: update project URL.

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Thu, 28 Oct 2021 10:11:26 +0200

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,25 @@
  libinput-dev,
  libpixman-1-dev,
  libwayland-dev,
+ libwlroots-dev (>= 0.15.1),
+ libxcb1-dev,
  libxkbcommon-dev,
- meson (>= 0.47.0),
+ meson (>= 0.54.0),
  pkg-config,
  wayland-protocols,
- libxcb1-dev,
- libwlroots-dev (>= 0.12.0),
- libwlroots-dev (<< 0.13.0),
-# to run the tests
+# Needed to build the doc
+ libgirepository1.0-dev <!nodoc>,
+ python3-jinja2 <!nodoc>,
+ python3-pygments <!nodoc>,
+ python3-toml <!nodoc>,
+ python3-typogrify <!nodoc>,
+# Needed to run the tests
  mutter-common <!nocheck>,
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: x11
-Homepage: https://source.puri.sm/librem5/phoc
+Homepage: https://gitlab.gnome.org/World/Phosh/phoc/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phoc
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phoc.git
 Rules-Requires-Root: no
@@ -36,8 +41,6 @@
  gsettings-desktop-schemas,
  mutter-common,
 Recommends: phosh
-Breaks:
- phosh (<< 0.4.5),
 Description: Wayland compositor for mobile phones
  Tiny wayland compositor based on wlroots for use on mobile phones like the
  Librem 5.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/phoc.*\.tar\.gz/phoc-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/Phosh/phoc/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phoc 0.21.1

=== debian/changelog ===
phoc (0.21.1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Sep 2022 13:15:29 +0200

phoc (0.21.0+ds1-2) unstable; urgency=medium

  * d/control: Drop arch all annotations.
    They confuse the buildds

 -- Guido Günther <agx@sigxcpu.org>  Wed, 10 Aug 2022 09:32:40 +0200

phoc (0.21.0+ds1-1) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2022 16:11:27 +0200

phoc (0.21.0+ds1-1~exp1) experimental; urgency=medium

  * Reimport the 0.21.0 upstream tarball. Gitlab fed uscan
    an outdated one yesterday so this is the actual 0.21.0 tarball.
  * d/copyright: Drop unneeded license
  * d/control: Annotate build-deps to help cross compiling
    This will help to get the right dependencies installed for either native
    or cross builds. This unbreaks the salsa-ci arm64 cross build pipeline.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Aug 2022 17:18:23 +0200

phoc (0.21.0-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Aug 2022 13:08:37 +0200

phoc (0.21.0~beta1-1) experimental; urgency=medium

  * Upload to experimental until recent enough phosh moves to sid.
  * New upstream beta release
  * Drop all patches.
    All patches were applied upstream.
  * d/control: Add Breaks on older phosh

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Jun 2022 09:40:23 +0200

phoc (0.20.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * d/control: Add myself as maintainer.
    This way I don't have to remember that it's a team upload.
  * d/copyright: Drop src/ini.*
    We replaced this with our own parser a while back.
  * Update d/copyright.
    We have a new protocol there

  [ Arnaud Ferraris ]
  * d/patches: backport upstream patch fixing crash in touch handling

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 03 Jun 2022 13:25:57 +0200

phoc (0.20.0-1) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/control: bump required wlroots version.
    Due to the backported patches we carry, `wlroots` minimum version should
    be '0.15.1', not '0.14.1'.
    Also, drop the `Breaks` on pre-0.4.5 `phosh` as this version is long
    gone from Debian.

  [ Guido Günther ]
  * New upstream version:
    - Gesture support
    - Calculate initial scale instead of defaulting to 1
  * Use consistent line breaks.
    Run "wrap-and-sort -ast" but ignore the changes in Build-Depends:
    so we can have them sorted by topic: docs, tests, ...
  * d/control: Recommend xwayland.
    This makes sure X11 clients don't just work because something
    else pulls it in.
  * Drop all patches.
    All applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 May 2022 18:39:48 +0200

## phoc 0.24.0

=== meson_options.txt ===
--- 
+++ 
@@ -4,3 +4,9 @@
 option('tests',
        type: 'boolean', value: true,
        description: 'Whether to compile unit tests')
+option('gtk_doc',
+       type: 'boolean', value: false,
+       description: 'Whether to generate the API reference')
+option('dev-uid',
+       type: 'integer', value: 1000,
+       description: 'User id for phoc development')

=== debian/changelog ===
phoc (0.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 17:22:09 +0100

phoc (0.23.0-1) unstable; urgency=medium

  * New upstream release
  * Update metainfo

 -- Guido Günther <agx@sigxcpu.org>  Sat, 14 Jan 2023 12:55:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: phoc
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
+Uploaders:
+ Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+ Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
  debhelper-compat (= 13),
  gsettings-desktop-schemas,
@@ -17,7 +19,8 @@
  pkg-config,
  wayland-protocols,
 # Needed to build the doc
- libgirepository1.0-dev <!nodoc>,
+ python3:native,
+ libgirepository1.0-dev:native <!nodoc>,
  python3-jinja2 <!nodoc>,
  python3-pygments <!nodoc>,
  python3-toml <!nodoc>,
@@ -36,11 +39,15 @@
 Package: phoc
 Architecture: any
 Depends:
+ gsettings-desktop-schemas,
+ mutter-common,
  ${misc:Depends},
  ${shlibs:Depends},
- gsettings-desktop-schemas,
- mutter-common,
-Recommends: phosh
+Breaks:
+ phosh (<< 0.20.0~beta2),
+Recommends:
+ phosh,
+ xwayland,
 Description: Wayland compositor for mobile phones
  Tiny wayland compositor based on wlroots for use on mobile phones like the
  Librem 5.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dembed-wlroots=disabled

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
        LC_ALL=C.UTF-8 xvfb-run ninja -C _build test
endif

=== debian/tests/control ===
Test-Command: /usr/bin/phoc --help
Restrictions: superficial
Depends:
 phoc,

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/v(\d\S+)\/phoc.*\.tar\.gz/phoc-$1\.tar\.gz/g, uversionmangle=s/_(alpha|beta|rc)/~$1/" \
  https://gitlab.gnome.org/World/Phosh/phoc/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## phoc 0.28.0+ds

=== debian/changelog ===
phoc (0.28.0+ds-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
  * d/gbp.conf: Switch to byzantium

 -- Guido Günther <agx@sigxcpu.org>  Sat, 10 Jun 2023 15:20:36 +0200

phoc (0.28.0+ds-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * d/gbp.conf: Switch back to ocatarine. The merge would have preserved this
    if the byzantium upload would have been a merge from octarine as well.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 May 2023 11:30:51 +0200

phoc (0.28.0+ds-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 May 2023 10:28:50 +0200

phoc (0.27.0+ds-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 06 May 2023 15:55:24 +0200

phoc (0.27.0+ds-1pureos1~oct1) octarine; urgency=medium

  * No changes needed
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 May 2023 19:28:47 +0200

phoc (0.27.0+ds-1) experimental; urgency=medium

  * New upstream release
  * Repackage the tarball to drop the embedded wlroots library
  * Ship the upstream manpage
  * Install icons and desktop file

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 May 2023 18:51:31 +0200

phoc (0.26.0-1pureos1) byzantium; urgency=medium

  [ Guido Günther ]
  * Drop patches
  * Avoid G_NORETURN

  [ Evangelos Ribeiro Tzaras ]
  * Upload to byzantium
  * d/control: Bump Breaks on phosh to << 0.26.0

 -- Evangelos Ribeiro Tzaras <evangelos.tzaras@puri.sm>  Fri, 14 Apr 2023 18:00:42 +0200

phoc (0.26.0-1pureos1~oct1) octarine; urgency=medium

  * Drop "Don't report activity on key release" patch fixed upstream
    by reporting press and release for accelerators.
  * Avoid G_NORETURN to unconfuse Byzantium's gcc
  * Upload to octarine

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Mar 2023 21:05:16 +0200

phoc (0.26.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 31 Mar 2023 11:26:20 +0200

phoc (0.25.2-1pureos1) byzantium; urgency=medium

  * d/patches: keyboard: Don't report activity on key release
  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 12 Mar 2023 19:17:16 +0100

phoc (0.25.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Mar 2023 12:42:30 +0100

phoc (0.25.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * d/control: Lower wlroots dependency.
    The pureos package ships the gesture cancellation patches since
    some time.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Mar 2023 18:16:27 +0100

phoc (0.25.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
  * Build-depend on libjson-glib-dev.
    Needed for gmobile
  * Build-depend on recent wlroots.
    This makes sure we use a wlroots that can cancel touch gestures.
  * Add breaks on phosh (<< 0.25.0)
    This avoids inconsistent power button behavior

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Mar 2023 12:37:04 +0100

phoc (0.24.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 11 Feb 2023 00:01:32 +0100

phoc (0.21.1-1pureos1) byzantium; urgency=medium

  * Upload to byzantium 

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Sep 2022 14:06:05 +0200

phoc (0.21.0+ds1-2pureos1) byzantium; urgency=medium

  * Upload to byzanitum

 -- Guido Günther <agx@sigxcpu.org>  Fri, 12 Aug 2022 09:08:44 +0200

phoc (0.21.0+ds1-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
  * d/gbp.conf: Fix upstream tag.
    The importet tarballs use upstream/<version>.
  * Revert "CI: Add octarine repository and install wlroots from it"
    We're using byzantium again.
    This reverts commit bd58a8ab4eef3e6c2bb4fe768649cafcca4b3d37.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 11 Aug 2022 09:30:00 +0200

phoc (0.21.0+ds1-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sat, 06 Aug 2022 01:03:44 +0200

phoc (0.21.0~beta1-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Mon, 27 Jun 2022 16:34:29 +0200

phoc (0.20.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 02 Jun 2022 04:28:46 +0200

phoc (0.13.1-1pureos1) byzantium; urgency=high

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 01 Apr 2022 20:55:26 +0200

phoc (0.13.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium
  * Revert "Backport patches to work wlroots 0.15.1"
  * Drop "Fail the build when wlroots lacks startup-id support"

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 27 Mar 2022 20:31:23 +0200

phoc (0.12.0-1pureos1) byzantium; urgency=medium

  * Upload to octarine
  * Remaining patches:
    - build: Fail the build when wlroots lacks startup-id support

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 08 Mar 2022 19:17:37 +0100

phoc (0.12.0-1pureos1~oct1) octarine; urgency=medium

  * Upload to octarine
  * Remaining patches:
    - build: Fail the build when wlroots lacks startup-id support

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 01 Feb 2022 19:31:31 +0100

phoc (0.11.0-2pureos1) byzantium; urgency=medium

  * Upload to byzantium
  * Remaining patches:
    - build: Fail the build when wlroots lacks startup-id support

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 25 Jan 2022 15:40:43 +0100

phoc (0.10.0-1pureos1) byzantium; urgency=medium

  * Upload to byzantium

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 26 Dec 2021 14:16:34 +0100

phoc (0.9.0-1pureos1) byzantium; urgency=medium

  * Upload to byznatium 


## phoc 0.29.0+ds

=== debian/changelog ===
phoc (0.29.0+ds-1pureos1~byz1) byzantium; urgency=medium

  * Backport to byzantium
  * Remaining changes:
     pureos/Avoid-G_NORETURN.patch: Copy with byzantium's gcc

 -- Guido Günther <agx@sigxcpu.org>  Thu, 06 Jul 2023 16:35:53 +0200

phoc (0.29.0+ds-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Tue, 04 Jul 2023 13:08:49 +0200

phoc (0.29.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Tue, 04 Jul 2023 12:45:02 +0200

phoc (0.28.0+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 Jun 2023 11:12:14 +0200

phoc (0.28.0+ds-1pureos3) crimson; urgency=medium

  * Drop all patches.
    Crimson has recent enough gcc

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Jun 2023 13:24:52 +0200

phoc (0.28.0+ds-1pureos2) crimson; urgency=medium

  * Rebuild for crimson to bump the lignome-desktop dependency

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Jun 2023 12:06:04 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libglib2.0-dev,
  libgnome-desktop-3-dev,
  libinput-dev,
+ libjson-glib-dev,
  libpixman-1-dev,
  libwayland-dev,
  libwlroots-dev (>= 0.15.1),
@@ -19,9 +20,10 @@
  pkg-config,
  wayland-protocols,
 # Needed to build the doc
- python3:native,
  libgirepository1.0-dev:native <!nodoc>,
+ python3-docutils <!nodoc>,
  python3-jinja2 <!nodoc>,
+ python3:native <!nodoc>,
  python3-pygments <!nodoc>,
  python3-toml <!nodoc>,
  python3-typogrify <!nodoc>,
@@ -44,7 +46,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- phosh (<< 0.20.0~beta2),
+ phosh (<< 0.26.0),
 Recommends:
  phosh,
  xwayland,

## phoc 0.32.0+ds

=== meson_options.txt ===
--- 
+++ 
@@ -7,6 +7,9 @@
 option('gtk_doc',
        type: 'boolean', value: false,
        description: 'Whether to generate the API reference')
+option('man',
+       type: 'boolean', value : false,
+       description : 'generate man pages (requires rst2man)')
 option('dev-uid',
        type: 'integer', value: 1000,
        description: 'User id for phoc development')

=== debian/changelog ===
phoc (0.32.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Oct 2023 13:27:18 +0200

phoc (0.31.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 11:35:11 +0200

phoc (0.30.0+ds-2) unstable; urgency=medium

  * d/control: Add breaks on phosh older than 0.30.0.
    Phosh itself works but want a session without g-s-d settings.
    (Closes: #1043121)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 06 Aug 2023 11:32:08 +0200

phoc (0.30.0+ds-1) unstable; urgency=medium

  * New upstream release
    Closes: #1041850
  * d/control: Bump wlroots dependency
  * d/gbp.conf: Drop duplicate upstream-vcs-tag
  * Update filter settings now the upstream tarball is
    generted via --include-subprojects
  * docs: Install NEWS
    Closes: #1041155

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 18:00:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  libjson-glib-dev,
  libpixman-1-dev,
  libwayland-dev,
- libwlroots-dev (>= 0.15.1),
+ libwlroots-dev (>= 0.16.2),
+ libwlroots-dev (<< 0.17~),
  libxcb1-dev,
  libxkbcommon-dev,
  meson (>= 0.54.0),
@@ -46,7 +47,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- phosh (<< 0.26.0),
+ phosh (<< 0.30.0~),
 Recommends:
  phosh,
  xwayland,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dembed-wlroots=disabled
+	dh_auto_configure -- -Dembed-wlroots=disabled -Dman=true
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp

=== debian/watch ===
version=4
opts="repacksuffix=+ds, \
  pgpsigurlmangle=s%$%.asc%" \
https://storage.puri.sm/releases/@PACKAGE@/ \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## phoc 0.33.0+ds

=== debian/changelog ===
phoc (0.33.0+ds-1pureos3) crimson; urgency=medium

  * d/patches: Backport "Handle output removal better"
  * d/patches: Backport "xdg-popup: Delay damaging to the next commit"
  * d/patches: seat: Use the getter to access focused layer's output

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Sun, 19 Oct 2025 14:19:20 +0200

phoc (0.33.0+ds-1pureos2) crimson; urgency=medium

  * Depend on libwlroots-0.16-dev

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 19 Mar 2025 06:40:47 +0100

phoc (0.33.0+ds-1pureos1) crimson; urgency=medium

  * No further changes needed
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Oct 2023 13:24:16 +0200

phoc (0.33.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Oct 2023 12:01:55 +0200

phoc (0.32.0+ds-1pureos1) crimson; urgency=medium

  * No changes needed
  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 Oct 2023 16:06:04 +0200

phoc (0.31.0+ds-1pureos1) crimson; urgency=medium

  * Upload to crimson

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Sep 2023 12:00:05 +0200

phoc (0.30.0+ds-2pureos1) crimson; urgency=medium

  * Upload to crimson
  * d/control: Point VCS URLs to source.puri.sm

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Aug 2023 11:21:45 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,7 @@
  libjson-glib-dev,
  libpixman-1-dev,
  libwayland-dev,
- libwlroots-dev (>= 0.16.2),
- libwlroots-dev (<< 0.17~),
+ libwlroots-0.16-dev (>= 0.16.2),
  libxcb1-dev,
  libxkbcommon-dev,
  meson (>= 0.54.0),
@@ -35,8 +34,10 @@
 Standards-Version: 4.6.0
 Section: x11
 Homepage: https://gitlab.gnome.org/World/Phosh/phoc/
-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phoc
-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phoc.git
+Vcs-Browser: https://source.puri.sm/Librem5/debs/pkg-phoc
+Vcs-Git: https://source.puri.sm/Librem5/debs/pkg-phoc.git
+XSBC-Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/phoc
+XSBC-Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/phoc.git
 Rules-Requires-Root: no
 
 Package: phoc
